
Figure - Bug #117516
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111069 (New): AF-V3.0--Launcher/SystemUI-小窗模式入口

【AF】【EVT3】【小窗模式】今日头条，进入登录页面，进行小窗和mini模式的切换，页面显示异常
2023-04-14 16:44 - CD TEST-方永红

Status: CLOSED Start date: 2023-04-14

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: 窗口定制 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103(X103).202304140602

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103(X103).202305050011

Reproducibility: Every time Fixed Version: 2023-05-05

Test Type: ST Root cause: 应用内逻辑设置了surfaceInsets导致，已添加改善方案

Description

【测试步骤】

1.打开今日头条

2、进入今日头条登录页面

3、进行小窗和mini模式的切换

【预期结果】

3、正常进行模式且黄，且页面显示异常

【实际结果】

3、进行小窗和mini模式的切换时，页面显示异常

History

#1 - 2023-04-14 16:56 - CD FW 曹覃刚

- Category changed from CD-FW to 窗口定制

#2 - 2023-04-23 16:16 - CD FW-鲁凯峰

- Assignee changed from CD FW-鲁凯峰 to CD FW 曹覃刚

#3 - 2023-04-25 21:26 - CD FW 曹覃刚

- Status changed from New to ASSIGNED

当前进展：

切换过程中显示异常，检查了动画，config，以及window，没有发现异常

下一步计划：

检查Task和window的bounds设置流程及差异点

#4 - 2023-05-04 17:55 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

197189 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

caoqg0702@thundersoft.com
AF:MultiWindow: Improve small window switching animation when there are surfaceInsets in the windowTC-RID: 1201-0204601IssueID:

TS-R-BUG-117516Change-Id: I152317061da3f8c937af63152eab8a14d5515410

#5 - 2023-05-04 17:59 - CD FW 曹覃刚

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW 曹覃刚 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-05-05

- Root cause set to 应用内逻辑设置了surfaceInsets导致，已添加改善方案

#6 - 2023-05-05 11:05 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103(X103).202305050011

5.5

验证通过

#7 - 2023-05-05 11:05 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

Phone-STS40X190078 2023-04-14 16-34-36.mp4 4.5 MB 2023-04-14 CD TEST-方永红
